## org.omg.CORBA
Class TRANSACTION_MODEHolder

    java.lang.Object
      |
      +--org.omg.CORBA.TRANSACTION_MODEHolder

All Implemented Interfaces:
  Streamable

public final class TRANSACTION_MODEHolder
extends java.lang.Object
implements Streamable

Holder class for : TRANSACTION_MODE

Author:
  OpenORB Compiler

Field Summary
`TRANSACTION_MODE` `value` Internal TRANSACTION_MODE value

Constructor Summary
`TRANSACTION_MODEHolder()` Default constructor
`TRANSACTION_MODEHolder(TRANSACTION_MODE initial)` Constructor with value initialisation

Method Summary
`void` `_read(InputStream istream)` Read TRANSACTION_MODE from a marshalled stream
`TypeCode` `_type()` Return the TRANSACTION_MODE TypeCode
`void` `_write(OutputStream ostream)` Write TRANSACTION_MODE into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    public TRANSACTION_MODE value

  Internal TRANSACTION_MODE value

Constructor Detail

### TRANSACTION_MODEHolder

    public TRANSACTION_MODEHolder()

  Default constructor

### TRANSACTION_MODEHolder

    public TRANSACTION_MODEHolder(TRANSACTION_MODE initial)

  Constructor with value initialisation
  Parameters:
    `initial` - the initial value

Method Detail

### _read

    public void _read(InputStream istream)

  Read TRANSACTION_MODE from a marshalled stream
  Specified by:
    `_read` in interface `Streamable`
  Parameters:
    `istream` - the input stream

### _write

    public void _write(OutputStream ostream)

  Write TRANSACTION_MODE into a marshalled stream
  Specified by:
    `_write` in interface `Streamable`
  Parameters:
    `ostream` - the output stream

### _type

    public TypeCode _type()

  Return the TRANSACTION_MODE TypeCode
  Specified by:
    `_type` in interface `Streamable`
  Returns:
    a TypeCode